Debian Bug report logs - #283786
please support gnutls to avoid GPL incompatibilities

version graph

Package: mysql-dfsg; Maintainer for mysql-dfsg is (unknown);

Reported by: Steve Langasek <vorlon@debian.org>

Date: Wed, 1 Dec 2004 11:33:01 UTC

Severity: wishlist

Fixed in versions mysql-dfsg/4.0.22-6, mysql-dfsg-4.1/4.1.7-4

Done: Christian Hammers <ch@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#283786; Package mailutils. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
New Bug report received and forwarded. Copy sent to Jordi Mallach <jordi@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: submit@bugs.debian.org
Subject: mailutils: linked to old version of libmysqclient, should use the current one
Date: Wed, 1 Dec 2004 03:18:53 -0800
[Message part 1 (text/plain, inline)]
Package: mailutils
Version: 1:0.5-4

The current mailutils package, which AIUI is distributed under the GNU GPL,
links against libmysqlclient10.  This package exists only to support
software which is not distributed under a GPL-compatible license, or which
may be loaded into memory together with other mysql-using software that must
use libmysqlclient10 for the previous reason.  AFAICT, mailutils is neither.

Please update the build-depends to point to libmysqlclient-dev instead of
libmysqlclient10-dev, so that this tragicomedy doesn't happen:

# apt-get install libmysqlclient-dev
Reading Package Lists... Done
Building Dependency Tree... Done
The following packages will be REMOVED:
  libmysqlclient10 mailutils postgresql-client
The following NEW packages will be installed:
  libmysqlclient-dev
0 upgraded, 1 newly installed, 3 to remove and 43 not upgraded.
Need to get 2925kB of archives.
After unpacking 4571kB of additional disk space will be used.
Do you want to continue? [Y/n] n
#

-- 
Steve Langasek
postmodern programmer
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#283786; Package mailutils. Full text and rfc822 format available.

Acknowledgement sent to Jordi Mallach <jordi@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 283786@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: Steve Langasek <vorlon@debian.org>, 283786@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#283786: mailutils: linked to old version of libmysqclient, should use the current one
Date: Wed, 1 Dec 2004 14:32:28 +0100
[Message part 1 (text/plain, inline)]
reassign 283786 mysql-dfsg
retitle 283786 please support gnutls to avoid GPL incompatibilities
severity 283786 wishlist
thanks

On Wed, Dec 01, 2004 at 03:18:53AM -0800, Steve Langasek wrote:
> The current mailutils package, which AIUI is distributed under the GNU GPL,
> links against libmysqlclient10.  This package exists only to support
> software which is not distributed under a GPL-compatible license, or which
> may be loaded into memory together with other mysql-using software that must
> use libmysqlclient10 for the previous reason.  AFAICT, mailutils is neither.
> 
> Please update the build-depends to point to libmysqlclient-dev instead of
> libmysqlclient10-dev

I have discussed this with Steve on IRC, and pointed out why mailutils
can't link to libmysqlclient12 yet, despite your efforts to get the
licence stuff sorted: as libmysqlclient12 uses OpenSSL, mailutils ends
up linking against openssl as well, violating its own GPL licence.
There's no OpenSSL licence exception in mailutils, and I could try to
get it changed (not trivial, it's a GNU package), but that won't fix
that there's probably many, many other packages in Debian affected by
this right now.

The solution to OpenSSL licencing woes that many other projects have
adopted is to implement alternative gnutls support, which is LGPL and is
ok for the licensing matter.

I don't know how hard it would be to get such functionality in MySQL as
I have no idea of extensively it uses OpenSSL, but I know other projects
managed to switch to gnutls quite easily. I believe there's a libssl
wrapper available that might just work (the real solution is to use
gnutls directly though).

> so that this tragicomedy doesn't happen:

(local error, not in official packages)

I might study how many GPL packages are accidentally linking against
libmysqlclient12 and have no OpenSSL exception. All of them would
probably need RC bugs.

Thanks for considering,
Jordi
-- 
Jordi Mallach Pérez  --  Debian developer     http://www.debian.org/
jordi@sindominio.net     jordi@debian.org     http://www.sindominio.net/
GnuPG public key information available at http://oskuro.net/~jordi/
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `mailutils' to `mysql-dfsg'. Request was from Jordi Mallach <jordi@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Jordi Mallach <jordi@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from Jordi Mallach <jordi@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christian Hammers <ch@debian.org>:
Bug#283786; Package mysql-dfsg. Full text and rfc822 format available.

Acknowledgement sent to Jordi Mallach <jordi@debian.org>:
Extra info received and forwarded to list. Copy sent to Christian Hammers <ch@debian.org>. Full text and rfc822 format available.

Message #21 received at 283786@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: Christian Hammers <ch@debian.org>, 283786@bugs.debian.org
Subject: Re: Processed: Re: Bug#283786: mailutils: linked to old version of libmysqclient, should use the current one
Date: Wed, 1 Dec 2004 19:46:02 +0100
[Message part 1 (text/plain, inline)]
On Wed, Dec 01, 2004 at 02:48:38PM +0100, Christian Hammers wrote:
> Regarding the Licence, MySQL has adjusted their copyright so that here should
> be no problem. If you see one, tell me!

Yeah, there's the OpenSSL licence contaminating software using
libmysqlclient12.

If I go and compile mailutils with libmysqlclient12, I will end up
linking mailutils to libssl, due to the inherited dependency coming from
libmysqlclient12. If mysqlclient used gnutls, I wouldn't get this
dependency. libmysqlclient10 works for me, because it doesn't link
against openssl.

Linking mailutils to OpenSSL is forbidden, as the mailutils licence has
no exception clause. This is probably the case for other software in
Debian.

FWIW, I have the same problem with postgresql. :)

> Using gnutls would be nice, indeed but I don't expect MySQL to change that in
> 4.0 or 4.1 which are both declared stable. So it ends up with either recompile
> against a new libmysqlclient (should be no problems) or tagging it as
> upstream-wontfix.. (of course you can leave this ticket as wishlist and
> still rebuild mailutils, would be the best, or?)

If it can't be changed in 4.1, I guess it could be considered for 4.2.
:)

But before anything else, I want to see if you understand what the
problem is: it's not a problem in mysql's licence: that is solved. It's
a problem for GPL software that uses libmysqlclient, as they can
accidentally break their own licence due to OpenSSL. This is why the bug
is a wishlist. :)

Jordi
-- 
Jordi Mallach Pérez  --  Debian developer     http://www.debian.org/
jordi@sindominio.net     jordi@debian.org     http://www.sindominio.net/
GnuPG public key information available at http://oskuro.net/~jordi/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Christian Hammers <ch@debian.org>:
Bug#283786; Package mysql-dfsg. Full text and rfc822 format available.

Acknowledgement sent to Jordi Mallach <jordi@debian.org>:
Extra info received and forwarded to list. Copy sent to Christian Hammers <ch@debian.org>. Full text and rfc822 format available.

Message #26 received at 283786@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: Christian Hammers <ch@debian.org>
Cc: 283786@bugs.debian.org
Subject: Re: Processed: Re: Bug#283786: mailutils: linked to old version of libmysqclient, should use the current one
Date: Wed, 1 Dec 2004 20:56:57 +0100
[Message part 1 (text/plain, inline)]
On Wed, Dec 01, 2004 at 07:53:31PM +0100, Christian Hammers wrote:
> Ok, most upstream authors grant the exception without thinking much
> about it but I understand your motives and leave the wishlist bug open.

Yeah, but still there's lost out there that aren't even aware of the
problem, thus violating the DFSG.

> Regarding your package:
> What are the mailutils authors proposing their users how to compile their
> software?
> To search for a way old libmysqlclient10 that is no longer supported by
> MySQL? :)

Heh, no. Well, I guess they assume people compile their own mysql, and I
guess you can compile mysql without OpenSSL. You can also compile
mailutils without mysql, but that removes cool functionality.

> They also should decide if they want a GPL library (gnutls) or stay
> with MySQL but then accept MySQL's current decision to use OpenSSL and grant
> a licence exception to it so that mailutils are buildable against a recent
> MySQL version (they have to decide anyway as the next MySQL version is
> rumored to be incompatible with libmysqlclient10...)

*nod*. Still, if MySQL can add gnutls support, it'd be quite convenient
for all of the GPL software out there that doesn't use OpenSSL directly,
but inherit the dependency through MySQL. gnutls is quite cool, too,
forgetting licensing issues.

Just tell them it'd be something good to look at for 4.2. More and more
packages are progressively migrating to gnutls. See openldap, exim,
GNOME, CUPS...

Jordi
-- 
Jordi Mallach Pérez  --  Debian developer     http://www.debian.org/
jordi@sindominio.net     jordi@debian.org     http://www.sindominio.net/
GnuPG public key information available at http://oskuro.net/~jordi/
[signature.asc (application/pgp-signature, inline)]

Reply sent to Christian Hammers <ch@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Steve Langasek <vorlon@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 283786-close@bugs.debian.org (full text, mbox):

From: Christian Hammers <ch@debian.org>
To: 283786-close@bugs.debian.org
Subject: Bug#283786: fixed in mysql-dfsg 4.0.22-6
Date: Tue, 07 Dec 2004 00:29:32 -0500
Source: mysql-dfsg
Source-Version: 4.0.22-6

We believe that the bug you reported is fixed in the latest version of
mysql-dfsg, which is due to be installed in the Debian FTP archive:

libmysqlclient12-dev_4.0.22-6_i386.deb
  to pool/main/m/mysql-dfsg/libmysqlclient12-dev_4.0.22-6_i386.deb
libmysqlclient12_4.0.22-6_i386.deb
  to pool/main/m/mysql-dfsg/libmysqlclient12_4.0.22-6_i386.deb
mysql-client_4.0.22-6_i386.deb
  to pool/main/m/mysql-dfsg/mysql-client_4.0.22-6_i386.deb
mysql-common_4.0.22-6_all.deb
  to pool/main/m/mysql-dfsg/mysql-common_4.0.22-6_all.deb
mysql-dfsg_4.0.22-6.diff.gz
  to pool/main/m/mysql-dfsg/mysql-dfsg_4.0.22-6.diff.gz
mysql-dfsg_4.0.22-6.dsc
  to pool/main/m/mysql-dfsg/mysql-dfsg_4.0.22-6.dsc
mysql-server_4.0.22-6_i386.deb
  to pool/main/m/mysql-dfsg/mysql-server_4.0.22-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 283786@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Hammers <ch@debian.org> (supplier of updated mysql-dfsg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  2 Dec 2004 21:48:32 +0100
Source: mysql-dfsg
Binary: libmysqlclient12 mysql-client libmysqlclient12-dev mysql-server mysql-common
Architecture: source i386 all
Version: 4.0.22-6
Distribution: unstable
Urgency: medium
Maintainer: Christian Hammers <ch@debian.org>
Changed-By: Christian Hammers <ch@debian.org>
Description: 
 libmysqlclient12 - mysql database client library
 libmysqlclient12-dev - mysql database development files
 mysql-client - mysql database client binaries
 mysql-common - mysql database common files (e.g. /etc/mysql/my.cnf)
 mysql-server - mysql database server binaries
Closes: 283786
Changes: 
 mysql-dfsg (4.0.22-6) unstable; urgency=medium
 .
   * Removed OpenSSL support.
     After a short discussion with MySQL, I decided to drop OpenSSL support as
     1. MySQL started shipping their binaries without it, too and do not
        seem to support it in favour of using a different library somewhen.
     2. MySQL did not adjust their licence to grant permission to link
        against OpenSSL.
     3. Even if they did, third parties who use libmysqlclient.so often
        do not realise licencing problems or even do not want OpenSSL.
     (thanks to Jordi Mallach and the responders to MySQL bug #6924)
     Closes: #283786
Files: 
 508973c5ea871c9cac84809e98393e81 881 misc optional mysql-dfsg_4.0.22-6.dsc
 8f3e9c94e0fc59063b5ccc0ef23a25d9 101395 misc optional mysql-dfsg_4.0.22-6.diff.gz
 afbb95cbd17e1e9dcc3b6a48931b4478 30200 misc optional mysql-common_4.0.22-6_all.deb
 b8532262c6e827f546dae3df95174f58 291858 libs optional libmysqlclient12_4.0.22-6_i386.deb
 d57b7c2f87de6c8dcb0542aff0bed263 2914478 libdevel optional libmysqlclient12-dev_4.0.22-6_i386.deb
 2bf5e8318be18bbb9090f27e7d00bd70 410722 misc optional mysql-client_4.0.22-6_i386.deb
 a30dc987ab59c183c7f3a588da6b1af0 3638622 misc optional mysql-server_4.0.22-6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iEYEARECAAYFAkGy90wACgkQkR9K5oahGOaUoACeKV3JCiRiSaepTSj4B97Wf3yi
EPMAoIbG/v/ON8+koWpCnlIytG23v2L0
=oH1g
-----END PGP SIGNATURE-----




Message #32 received at 283786-close@bugs.debian.org (full text, mbox):

From: Christian Hammers <ch@debian.org>
To: 283786-close@bugs.debian.org
Subject: Bug#283786: fixed in mysql-dfsg-4.1 4.1.7-4
Date: Tue, 07 Dec 2004 00:51:57 -0500
Source: mysql-dfsg-4.1
Source-Version: 4.1.7-4

We believe that the bug you reported is fixed in the latest version of
mysql-dfsg-4.1, which is due to be installed in the Debian FTP archive:

libmysqlclient14-dev_4.1.7-4_i386.deb
  to pool/main/m/mysql-dfsg-4.1/libmysqlclient14-dev_4.1.7-4_i386.deb
libmysqlclient14_4.1.7-4_i386.deb
  to pool/main/m/mysql-dfsg-4.1/libmysqlclient14_4.1.7-4_i386.deb
mysql-client-4.1_4.1.7-4_i386.deb
  to pool/main/m/mysql-dfsg-4.1/mysql-client-4.1_4.1.7-4_i386.deb
mysql-common-4.1_4.1.7-4_all.deb
  to pool/main/m/mysql-dfsg-4.1/mysql-common-4.1_4.1.7-4_all.deb
mysql-dfsg-4.1_4.1.7-4.diff.gz
  to pool/main/m/mysql-dfsg-4.1/mysql-dfsg-4.1_4.1.7-4.diff.gz
mysql-dfsg-4.1_4.1.7-4.dsc
  to pool/main/m/mysql-dfsg-4.1/mysql-dfsg-4.1_4.1.7-4.dsc
mysql-server-4.1_4.1.7-4_i386.deb
  to pool/main/m/mysql-dfsg-4.1/mysql-server-4.1_4.1.7-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 283786@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Hammers <ch@debian.org> (supplier of updated mysql-dfsg-4.1 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  2 Dec 2004 22:02:28 +0100
Source: mysql-dfsg-4.1
Binary: libmysqlclient14-dev mysql-common-4.1 libmysqlclient14 mysql-server-4.1 mysql-client-4.1
Architecture: source i386 all
Version: 4.1.7-4
Distribution: unstable
Urgency: medium
Maintainer: Christian Hammers <ch@debian.org>
Changed-By: Christian Hammers <ch@debian.org>
Description: 
 libmysqlclient14 - mysql database client library
 libmysqlclient14-dev - mysql database development files
 mysql-client-4.1 - mysql database client binaries
 mysql-common-4.1 - mysql database common files (e.g. /etc/mysql/my.cnf)
 mysql-server-4.1 - mysql database server binaries
Closes: 283786
Changes: 
 mysql-dfsg-4.1 (4.1.7-4) unstable; urgency=medium
 .
   * Removed OpenSSL support.
     After a short discussion with MySQL, I decided to drop OpenSSL support as
     1. MySQL started shipping their binaries without it, too and do not
        seem to support it in favour of using a different library somewhen.
     2. MySQL did not adjust their licence to grant permission to link
        against OpenSSL.
     3. Even if they did, third parties who use libmysqlclient.so often
        do not realise licencing problems or even do not want OpenSSL.
     (thanks to Jordi Mallach and the responders to MySQL bug #6924)
     Closes: #283786
   * debian/control: Improved depends and conflicts to mysql-4.0.
Files: 
 a32425814c25be0f277dceecdd59b804 953 misc optional mysql-dfsg-4.1_4.1.7-4.dsc
 384974fc5c88089fed1b703d10e84f4d 276778 misc optional mysql-dfsg-4.1_4.1.7-4.diff.gz
 c9567ca845e9d86361004d20ad06a197 29816 misc optional mysql-common-4.1_4.1.7-4_all.deb
 5fe6cddc3e6add97be1ab9f0de25cf35 1395494 libs optional libmysqlclient14_4.1.7-4_i386.deb
 ca8cac8d34aa0e413260342407429acf 2496926 libdevel optional libmysqlclient14-dev_4.1.7-4_i386.deb
 ad6c9f8fc42344c570fabba7de822112 816534 misc optional mysql-client-4.1_4.1.7-4_i386.deb
 ae5991e6376cd82edc2311b0d0428818 14744280 misc optional mysql-server-4.1_4.1.7-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iEYEARECAAYFAkGy904ACgkQkR9K5oahGOadhACeLsXmCkZIcm5Hl99YXtwTETAc
nCIAoKWW3bF0IlRHCfwZ3XNqBhXskzKO
=UTk3
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:39:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.